Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc
Interface PackageProperties

All Known Implementing Classes:
  PackagePropertiesPart

    public interface PackageProperties

Represents the core properties of an OPC package.

Version:
  1.0
Author:
  Julien Chable
See Also:
  `OPCPackage`

Field Summary
`static java.lang.String` | `NAMESPACE_DC` Dublin Core namespace URI.
`static java.lang.String` | `NAMESPACE_DCTERMS` Dublin Core Terms URI.

Method Summary
`Nullable<java.lang.String>` | `getCategoryProperty()` Set the category of the content of this package.
`Nullable<java.lang.String>` | `getContentStatusProperty()` Set the status of the content.
`Nullable<java.lang.String>` | `getContentTypeProperty()` Get the type of content represented, generally defined by a specific use and intended audience.
`Nullable<java.util.Date>` | `getCreatedProperty()` Get the date of creation of the resource.
`Nullable<java.lang.String>` | `getCreatorProperty()` Get the entity primarily responsible for making the content of the resource.
`Nullable<java.lang.String>` | `getDescriptionProperty()` Get the explanation of the content of the resource.
`Nullable<java.lang.String>` | `getIdentifierProperty()` Get an unambiguous reference to the resource within a given context.
`Nullable<java.lang.String>` | `getKeywordsProperty()` Get a delimited set of keywords to support searching and indexing.
`Nullable<java.lang.String>` | `getLanguageProperty()` Get the language of the intellectual content of the resource.
`Nullable<java.lang.String>` | `getLastModifiedByProperty()` Get the user who performed the last modification.
`Nullable<java.util.Date>` | `getLastPrintedProperty()` Get the date and time of the last printing.
`Nullable<java.util.Date>` | `getModifiedProperty()` Get the date on which the resource was changed.
`Nullable<java.lang.String>` | `getRevisionProperty()` Get the revision number.
`Nullable<java.lang.String>` | `getSubjectProperty()` Get the topic of the content of the resource.
`Nullable<java.lang.String>` | `getTitleProperty()` Get the name given to the resource.
`Nullable<java.lang.String>` | `getVersionProperty()` Get the version number.
`void` | `setCategoryProperty(java.lang.String category)` Set the category of the content of this package.
`void` | `setContentStatusProperty(java.lang.String contentStatus)` Get the status of the content.
`void` | `setContentTypeProperty(java.lang.String contentType)` Set the type of content represented, generally defined by a specific use and intended audience.
`void` | `setCreatedProperty(Nullable<java.util.Date> created)` Set the date of creation of the resource.
`void` | `setCreatedProperty(java.lang.String created)` Set the date of creation of the resource.
`void` | `setCreatorProperty(java.lang.String creator)` Set the entity primarily responsible for making the content of the resource.
`void` | `setDescriptionProperty(java.lang.String description)` Set the explanation of the content of the resource.
`void` | `setIdentifierProperty(java.lang.String identifier)` Set an unambiguous reference to the resource within a given context.
`void` | `setKeywordsProperty(java.lang.String keywords)` Set a delimited set of keywords to support searching and indexing.
`void` | `setLanguageProperty(java.lang.String language)` Set the language of the intellectual content of the resource.
`void` | `setLastModifiedByProperty(java.lang.String lastModifiedBy)` Set the user who performed the last modification.
`void` | `setLastPrintedProperty(Nullable<java.util.Date> lastPrinted)` Set the date and time of the last printing.
`void` | `setLastPrintedProperty(java.lang.String lastPrinted)` Set the date and time of the last printing.
`void` | `setModifiedProperty(Nullable<java.util.Date> modified)` Set the date on which the resource was changed.
`void` | `setModifiedProperty(java.lang.String modified)` Set the date on which the resource was changed.
`void` | `setRevisionProperty(java.lang.String revision)` Set the revision number.
`void` | `setSubjectProperty(java.lang.String subject)` Set the topic of the content of the resource.
`void` | `setTitleProperty(java.lang.String title)` Set the name given to the resource.
`void` | `setVersionProperty(java.lang.String version)` Set the version number.

Field Detail

### NAMESPACE_DCTERMS

    static final java.lang.String NAMESPACE_DCTERMS

  Dublin Core Terms URI.

  See Also:
    Constant Field Values

### NAMESPACE_DC

    static final java.lang.String NAMESPACE_DC

  Dublin Core namespace URI.

  See Also:
    Constant Field Values

Method Detail

### getCategoryProperty

    Nullable<java.lang.String> getCategoryProperty()

  Set the category of the content of this package.

### setCategoryProperty

    void setCategoryProperty(java.lang.String category)

  Set the category of the content of this package.

### getContentStatusProperty

    Nullable<java.lang.String> getContentStatusProperty()

  Set the status of the content.

### setContentStatusProperty

    void setContentStatusProperty(java.lang.String contentStatus)

  Get the status of the content.

### getContentTypeProperty

    Nullable<java.lang.String> getContentTypeProperty()

  Get the type of content represented, generally defined by a specific use and intended audience.

### setContentTypeProperty

    void setContentTypeProperty(java.lang.String contentType)

  Set the type of content represented, generally defined by a specific use and intended audience.

### getCreatedProperty

    Nullable<java.util.Date> getCreatedProperty()

  Get the date of creation of the resource.

### setCreatedProperty

    void setCreatedProperty(java.lang.String created)

  Set the date of creation of the resource.

### setCreatedProperty

    void setCreatedProperty(Nullable<java.util.Date> created)

  Set the date of creation of the resource.

### getCreatorProperty

    Nullable<java.lang.String> getCreatorProperty()

  Get the entity primarily responsible for making the content of the resource.

### setCreatorProperty

    void setCreatorProperty(java.lang.String creator)

  Set the entity primarily responsible for making the content of the resource.

### getDescriptionProperty

    Nullable<java.lang.String> getDescriptionProperty()

  Get the explanation of the content of the resource.

### setDescriptionProperty

    void setDescriptionProperty(java.lang.String description)

  Set the explanation of the content of the resource.

### getIdentifierProperty

    Nullable<java.lang.String> getIdentifierProperty()

  Get an unambiguous reference to the resource within a given context.

### setIdentifierProperty

    void setIdentifierProperty(java.lang.String identifier)

  Set an unambiguous reference to the resource within a given context.

### getKeywordsProperty

    Nullable<java.lang.String> getKeywordsProperty()

  Get a delimited set of keywords to support searching and indexing. This is typically a list of terms that are not available elsewhere in the properties

### setKeywordsProperty

    void setKeywordsProperty(java.lang.String keywords)

  Set a delimited set of keywords to support searching and indexing. This is typically a list of terms that are not available elsewhere in the properties

### getLanguageProperty

    Nullable<java.lang.String> getLanguageProperty()

  Get the language of the intellectual content of the resource.

### setLanguageProperty

    void setLanguageProperty(java.lang.String language)

  Set the language of the intellectual content of the resource.

### getLastModifiedByProperty

    Nullable<java.lang.String> getLastModifiedByProperty()

  Get the user who performed the last modification.

### setLastModifiedByProperty

    void setLastModifiedByProperty(java.lang.String lastModifiedBy)

  Set the user who performed the last modification.

### getLastPrintedProperty

    Nullable<java.util.Date> getLastPrintedProperty()

  Get the date and time of the last printing.

### setLastPrintedProperty

    void setLastPrintedProperty(java.lang.String lastPrinted)

  Set the date and time of the last printing.

### setLastPrintedProperty

    void setLastPrintedProperty(Nullable<java.util.Date> lastPrinted)

  Set the date and time of the last printing.

### getModifiedProperty

    Nullable<java.util.Date> getModifiedProperty()

  Get the date on which the resource was changed.

### setModifiedProperty

    void setModifiedProperty(java.lang.String modified)

  Set the date on which the resource was changed.

### setModifiedProperty

    void setModifiedProperty(Nullable<java.util.Date> modified)

  Set the date on which the resource was changed.

### getRevisionProperty

    Nullable<java.lang.String> getRevisionProperty()

  Get the revision number.

### setRevisionProperty

    void setRevisionProperty(java.lang.String revision)

  Set the revision number.

### getSubjectProperty

    Nullable<java.lang.String> getSubjectProperty()

  Get the topic of the content of the resource.

### setSubjectProperty

    void setSubjectProperty(java.lang.String subject)

  Set the topic of the content of the resource.

### getTitleProperty

    Nullable<java.lang.String> getTitleProperty()

  Get the name given to the resource.

### setTitleProperty

    void setTitleProperty(java.lang.String title)

  Set the name given to the resource.

### getVersionProperty

    Nullable<java.lang.String> getVersionProperty()

  Get the version number.

### setVersionProperty

    void setVersionProperty(java.lang.String version)

  Set the version number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.